#!/bin/bash
#
# File:  register.sh <email>
# Date:  23-Sept-2016  Jdw
#
# Registration is optional for the wwPDB Validation webservice
#
THISDIR="$( builtin cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
if [ -n "${ONEDEP_EXTRA_ARGS}" ]
then
    X_ARGS="${ONEDEP_EXTRA_ARGS}"
else
    X_ARGS=""
fi
#
if [ "$1" == "" ]
then
    echo "$0 - usage:  register.sh <email address>"
    exit 1
fi
#
onedep_validate_cli --register --email $1  ${X_ARGS}
#
echo "A OneDep API access key will be sent to $1"
echo "Copy the key in the email attachment to ${HOME}/.onedep_apikey.jwt"
#
